#include <Wire.h>
#include <Servo.h>
Servo myservo;

volatile bool flag = 0;
volatile int val = 0;

void setup() {
  Wire.begin(8);
  Wire.onReceive(receiveEvent);
  myservo.attach(0);

}

void loop() {
  if (flag) {
    if (val == 1) {
      for (int angle = 126; angle <= 180; angle += 1) {
        myservo.write(angle);
        delay(10);
      }
      for (int angle = 180; angle >= 126; angle -= 1) {
        myservo.write(angle);
        delay(10);
      }
    }
    flag = 0;
  }
}

void receiveEvent(int howMany) {
  val = Wire.read();
  flag = 1;
}
